Bug 1377049 - NTFS-3G gives "unsupported reparse point" for non-reparse-point hardlinks
Summary: NTFS-3G gives "unsupported reparse point" for non-reparse-point hardlinks
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ntfs-3g
Version: 24
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-18 01:38 UTC by Matthew Cline
Modified: 2019-04-05 01:55 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-08-08 17:26:34 UTC
matt: needinfo-


Attachments (Terms of Use)

Description Matthew Cline 2016-09-18 01:38:16 UTC
After doing the Windows 10 Anniversary Update (Windows 10 build 14393, version 1607), many of the files accessed through NTFS-3G showed as symbolic links with a "unsupported reparse point" error.  Looking at the file while booted in Windows shows that the file is a hard link, not a reparse point:

PS C:\Windows\Fonts> Get-ItemProperty -Path  YuGothR.ttc  | Format-list -Property * -Force


PSPath            : Microsoft.PowerShell.Core\FileSystem::C:\Windows\Fonts\YuGothR.ttc
PSParentPath      : Microsoft.PowerShell.Core\FileSystem::C:\Windows\Fonts
PSChildName       : YuGothR.ttc
PSDrive           : C
PSProvider        : Microsoft.PowerShell.Core\FileSystem
Mode              : -a----
VersionInfo       : File:             C:\Windows\Fonts\YuGothR.ttc
                    InternalName:
                    OriginalFilename:
                    FileVersion:
                    FileDescription:
                    Product:
                    ProductVersion:
                    Debug:            False
                    Patched:          False
                    PreRelease:       False
                    PrivateBuild:     False
                    SpecialBuild:     False
                    Language:

BaseName          : YuGothR
Target            : {C:\Windows\WinSxS\amd64_microsoft-windows-font-truetype-yugothic_31bf3856ad364e35_10.0.14393.82_no
                    ne_2b75beb2544be2f8\YuGothR.ttc, C:\Windows\WinSxS\amd64_microsoft-windows-font-truetype-yugothic_3
                    1bf3856ad364e35_10.0.14393.0_none_0661d4df301564a6\YuGothR.ttc}
LinkType          : HardLink
Name              : YuGothR.ttc
Length            : 13710460
DirectoryName     : C:\Windows\Fonts
Directory         : C:\Windows\Fonts
IsReadOnly        : False
Exists            : True
FullName          : C:\Windows\Fonts\YuGothR.ttc
Extension         : .ttc
CreationTime      : 7/16/2016 4:42:28 AM
CreationTimeUtc   : 7/16/2016 11:42:28 AM
LastAccessTime    : 9/17/2016 4:56:27 PM
LastAccessTimeUtc : 9/17/2016 11:56:27 PM
LastWriteTime     : 7/16/2016 4:42:28 AM
LastWriteTimeUtc  : 7/16/2016 11:42:28 AM
Attributes        : Archive

=====================

Also, though NTFS-3G I got the reparse data:

$ getfattr -h -e hex -n system.ntfs_reparse_data YuGothR.ttc
# file: YuGothR.ttc
system.ntfs_reparse_data=0x170000801000000001000000020000000100000000000000

Comment 1 Jean-Pierre André 2016-09-18 06:35:15 UTC
Reparse points are a way of triggering some specific processing for accessing files, and the most usual ones are for redirecting to another file (which ntfs-3g emulates as a symbolic link). Reparse point types which are not supported by ntfs-3g are shown as "unsupported reparse point".

On some computers (those which are powerful enough) Windows 10 compresses the system files, and a new type of reparse point has been defined for triggering the decompression (see http://jp-andre.pagesperso-orange.fr/junctions.html#other). Since ntfs-3g-2016.2.22AR.1, reparse points trigger plugins, and a plugin for decompressing Windows 10 system files has been developed by Eric Biggers. 

They are not yet integrated in standard Fedora, but you can get them from :
http://jp-andre.pagesperso-orange.fr/advanced-ntfs-3g.html
(though an ntfs-3g-2016.2.22AR.1 rpm for Fedora is available there, you may have to recompile it if you do not meet the dependencies).
The source code for the plugin is developed at
https://github.com/ebiggers/ntfs-3g-system-compression
but, again, it cannot be used from the ntfs-3g package distributed by Fedora (ntfs-3g-2016.2.22).

Comment 2 Fedora End Of Life 2017-07-25 23:06:30 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2017-08-08 17:26:34 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 Pedro Francisco 2018-02-12 11:22:10 UTC
Is this fixed? If not, can you change the affected versions to version 27?

P.S.: I can't test this myself because I have no compressed fonts.

$ rpm -qa ntfs-3g
ntfs-3g-2017.3.23-4.fc27.x86_64

Comment 5 Jean-Pierre André 2018-02-12 11:40:17 UTC
AFAIK the ability to load the compression plugin is available in ntfs-3g-2017.3.23

Comment 6 Kamil Páral 2019-03-11 11:20:14 UTC
ntfs-3g-system-compression plugin is now packaged in Fedora

Comment 7 Fedora Update System 2019-03-11 19:25:22 UTC
ntfs-3g-2017.3.23-10.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-f38cfd1456

Comment 8 Fedora Update System 2019-03-11 19:25:31 UTC
ntfs-3g-2017.3.23-10.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-61c095ada8

Comment 9 Fedora Update System 2019-03-11 19:25:39 UTC
ntfs-3g-2017.3.23-10.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-2f50dddd79

Comment 10 Fedora Update System 2019-03-12 16:08:51 UTC
ntfs-3g-2017.3.23-10.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-61c095ada8

Comment 11 Fedora Update System 2019-03-12 22:59:34 UTC
ntfs-3g-2017.3.23-10.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-f38cfd1456

Comment 12 Fedora Update System 2019-03-12 23:41:01 UTC
ntfs-3g-2017.3.23-10.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-2f50dddd79

Comment 13 Fedora Update System 2019-03-15 18:29:12 UTC
ntfs-3g-2017.3.23-10.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2019-03-29 19:12:04 UTC
ntfs-3g-2017.3.23-10.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2019-03-29 20:27:57 UTC
ntfs-3g-2017.3.23-11.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-c1e6c6edd9

Comment 16 Fedora Update System 2019-03-31 01:55:34 UTC
ntfs-3g-2017.3.23-11.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-c1e6c6edd9

Comment 17 Fedora Update System 2019-04-05 01:55:14 UTC
ntfs-3g-2017.3.23-11.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.